#ifndef GesamtSpielerStatistik_H
#define GesamtSpielerStatistik_H

#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

class GesamtSpielerStatistik : public virtual ReferenceCounter
{
private:
    int spielerNummer;
    Text *spielerName;
    Text *teamName;
    int spielerFarbe;
    int teamFarbe;
    int gewonneneRunden;
    int punkte;
    int linienLength;
    int zeitAmLeben;
    int zeitTod;
    int kills;
    int tode;

public:
    // Konstruktor
    GesamtSpielerStatistik();
    // Destruktor
    ~GesamtSpielerStatistik();
    // nicht constant
    void initValues( InitDatei *dat );
    // constant
    int getSpielerNummer() const;
    Text *getSpielerName() const;
    Text *zSpielerName() const;
    Text *getTeamName() const;
    Text *zTeamName() const;
    int getSpielerFarbe() const;
    int getTeamFarbe() const;
    int getGewonneneRunden() const;
    int getPunkte() const;
    int getLinienLength() const;
    int getZeitAmLeben() const;
    int getZeitTod() const;
    int getKills() const;
    int getTode() const;
};

#endif